<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="btoads">
        <video>
            <target index="0" backdrops="1" overlays="1" bezels="1" zoom="1" />
        </video>
        <input>
            <port tag="P1" type="P1_BUTTON1" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_STOP
                </newseq>
            </port>
            <port tag="P1" type="P1_BUTTON2" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_SLASH
                </newseq>
            </port>
            <port tag="P1" type="COIN1" mask="64" defvalue="64">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="P1" type="START1" mask="128" defvalue="128">
                <newseq type="standard">
                    KEYCODE_ENTER
                </newseq>
            </port>
            <port tag="P2" type="P2_JOYSTICK_UP" mask="1" defvalue="1">
                <newseq type="standard">
                    KEYCODE_T
                </newseq>
            </port>
            <port tag="P2" type="P2_JOYSTICK_RIGHT" mask="2" defvalue="2">
                <newseq type="standard">
                    KEYCODE_H
                </newseq>
            </port>
            <port tag="P2" type="P2_JOYSTICK_DOWN" mask="4" defvalue="4">
                <newseq type="standard">
                    KEYCODE_G
                </newseq>
            </port>
            <port tag="P2" type="P2_JOYSTICK_LEFT" mask="8" defvalue="8">
                <newseq type="standard">
                    KEYCODE_F
                </newseq>
            </port>
            <port tag="P2" type="P2_BUTTON1" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_A
                </newseq>
            </port>
            <port tag="P2" type="P2_BUTTON2" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_S
                </newseq>
            </port>
            <port tag="P2" type="COIN2" mask="64" defvalue="64">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="P2" type="START2" mask="128" defvalue="128">
                <newseq type="standard">
                    KEYCODE_SPACE
                </newseq>
            </port>
            <port tag="P3" type="P3_JOYSTICK_UP" mask="1" defvalue="1">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="P3" type="P3_JOYSTICK_RIGHT" mask="2" defvalue="2">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="P3" type="P3_JOYSTICK_DOWN" mask="4" defvalue="4">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="P3" type="P3_JOYSTICK_LEFT" mask="8" defvalue="8">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="P3" type="P3_BUTTON1" mask="16" defvalue="16">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="P3" type="P3_BUTTON2" mask="32" defvalue="32">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="P3" type="COIN3" mask="64" defvalue="64">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="SPECIAL" type="SERVICE" mask="2" defvalue="2">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="SW1" type="DIPSWITCH" mask="4" defvalue="0" value="4" />
            <port tag="SW1" type="DIPSWITCH" mask="16" defvalue="16" value="0" />
        </input>
    </system>
</mameconfig>
